import { jsx as _jsx } from "react/jsx-runtime";
import { Link as LinkRaw } from "react-router-dom";
import { useRouteData } from "./routeDataContext.js";
export function getLinkComponent(routeDataContext) {
    const Link = ({ className, children, to, onClick, propsRaw }) => {
        const routeData = useRouteData(routeDataContext);
        return (_jsx(LinkRaw, { ...propsRaw, to: getLink(to, routeData?.routesMap), className: className, onClick: () => {
                if (onClick) {
                    onClick();
                }
            }, children: children }));
    };
    return Link;
}
function getLink(to, map) {
    if (!to)
        return "";
    if (!map) {
        if (typeof to === "string")
            return to;
        return "";
    }
    if (typeof to === "object") {
        const route = map[to?.id];
        if (route)
            return route?.path ?? "";
    }
    if (typeof to === "string") {
        const route = map[to];
        if (route)
            return route?.path ?? to;
        return to;
    }
    return "";
}
