/// <reference types="react" />
import { DatasourceState, DatasourceStateError } from "@nexcodepl/endpoint-client";
import { StaticRouteBase } from "@nexcodepl/vite-static";
import { RouteDataContextContextType } from "./routeDataContext.js";
interface Props<TStaticRoute extends StaticRouteBase<any, any>, TGlobalData> {
    RouteDataContext: RouteDataContextContextType;
    route: TStaticRoute;
    element: JSX.Element;
    wrapper: React.FC<{
        route: TStaticRoute;
        children: JSX.Element;
        routeDataState: DatasourceState<any>["state"];
    }>;
    loader: JSX.Element;
    error: (error: DatasourceStateError) => JSX.Element;
    routes: TStaticRoute[];
    globalData: TGlobalData;
    basePath?: string;
}
export declare function StaticDataProvider<TStaticRoute extends StaticRouteBase<any, any>, TGlobalData>({ route, element, loader, error, routes, globalData, wrapper, RouteDataContext, basePath, }: Props<TStaticRoute, TGlobalData>): JSX.Element;
export {};
