import { jsx as _jsx } from "react/jsx-runtime";
/// <reference types="vite/client" />
import React from "react";
import ReactDOMServer from "react-dom/server";
import ReactDOM from "react-dom/client";
import { StaticRouter } from "react-router-dom/server.js";
import { BrowserRouter } from "react-router-dom";
import { staticDataContext, StaticDataContext, serverStaticDataContext, } from "./staticDataContext.js";
export function mountApp(App, disableStrictMode) {
    if (import.meta.env.MODE === "development") {
        ReactDOM.createRoot(document.getElementById("root")).render(disableStrictMode ? (_jsx(StaticDataContext.Provider, { value: staticDataContext(), children: _jsx(BrowserRouter, { children: App }) })) : (_jsx(React.StrictMode, { children: _jsx(StaticDataContext.Provider, { value: staticDataContext(), children: _jsx(BrowserRouter, { children: App }) }) })));
    }
    else {
        ReactDOM.hydrateRoot(document.getElementById("root"), disableStrictMode ? (_jsx(StaticDataContext.Provider, { value: staticDataContext(), children: _jsx(BrowserRouter, { children: App }) })) : (_jsx(React.StrictMode, { children: _jsx(StaticDataContext.Provider, { value: staticDataContext(), children: _jsx(BrowserRouter, { children: App }) }) })));
    }
}
export function getServerRenderFunction(App) {
    return (url, staticData) => {
        return ReactDOMServer.renderToString(_jsx(StaticDataContext.Provider, { value: serverStaticDataContext(staticData), children: _jsx(StaticRouter, { location: url, children: App }) }));
    };
}
