/// <reference types="react" />
import { Store } from "@nexcodepl/react-store";
import { StaticRouteBase, RouteData } from "@nexcodepl/vite-static";
export interface RouteDataContextType<TStaticRoute extends StaticRouteBase<any, any>, TGlobalData, TRoute extends StaticRouteBase<any, any>> {
    globalData: TGlobalData;
    route: TStaticRoute;
    routes: TStaticRoute[];
    routesMap: Record<string, TStaticRoute>;
    routeDataStore: Store<RouteData<TRoute> | null>;
    routeData: RouteData<TRoute>;
}
interface Props<TStaticRoute extends StaticRouteBase<any, any>, TGlobalData, TRoute extends StaticRouteBase<any, any>> {
    globalData: TGlobalData;
    route: TStaticRoute;
    routes: TStaticRoute[];
    routeData: RouteData<TRoute> | null;
}
export declare function useRouteDataContext<TStaticRoute extends StaticRouteBase<any, any>, TGlobalData, TRoute extends StaticRouteBase<any, any>>({ globalData, route, routes, routeData: routeDataInit, }: Props<TStaticRoute, TGlobalData, TRoute>): RouteDataContextType<TStaticRoute, TGlobalData, TRoute>;
export type RouteDataContextContextType = React.Context<RouteDataContextType<any, any, any>>;
export declare function getRouteDataContext(): import("react").Context<RouteDataContextType<any, any, any>>;
export declare function useRouteData<TStaticRoute extends StaticRouteBase<any, any>, TGlobalData, TRoute extends StaticRouteBase<any, any>>(context: RouteDataContextContextType): RouteDataContextType<TStaticRoute, TGlobalData, TRoute>;
export {};
