/// <reference types="react" />
declare global {
    interface Window {
        staticData?: StaticDataStorage;
    }
}
export type StaticDataType = object | undefined | null | string;
export type StaticDataStorage = {
    [key: string]: StaticDataType;
};
type GetDataFunction = <T extends StaticDataType>(dataId: string) => T | null;
type SetDataFunction = <T extends StaticDataType>(dataId: string, data: T) => void;
export interface StaticDataContextType {
    setData: SetDataFunction;
    getData: GetDataFunction;
}
export declare function staticDataContext(): StaticDataContextType;
export declare function serverStaticDataContext(initData: StaticDataStorage): StaticDataContextType;
export declare const StaticDataContext: import("react").Context<StaticDataContextType>;
export declare function useStaticDataContext(): StaticDataContextType;
export {};
