import { createContext, useContext } from "react";
export function staticDataContext() {
    return {
        getData: dataId => {
            if (!window.staticData)
                return null;
            return window.staticData[dataId];
        },
        setData: (dataId, data) => {
            if (!window.staticData)
                window.staticData = {};
            window.staticData[dataId] = data;
        },
    };
}
export function serverStaticDataContext(initData) {
    const dataStorage = initData;
    return {
        getData: dataId => {
            return dataStorage[dataId] ?? null;
        },
        setData: (dataId, data) => {
            dataStorage[dataId] = data;
        },
    };
}
export const StaticDataContext = createContext(staticDataContext());
export function useStaticDataContext() {
    const context = useContext(StaticDataContext);
    return context;
}
